import 'package:vaycore/dartin.dart';

import 'viewmodel/config/locale_model.dart';
import 'viewmodel/config/theme_model.dart';
import 'viewmodel/view/home_page_provider.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-06-03
///

final globalModels = Module([
  single<ThemeModel>(({params}) => ThemeModel()),
  single<LocaleModel>(({params}) => LocaleModel()),
]);

final viewModels = Module([
  factory<HomePageProvider>(({params}) => HomePageProvider()),
]);

// 注入模块，需要可以把模块添加到数组中
final appModules = [globalModels];
