import 'package:flutter/material.dart';
import 'package:vaycore/common/options.dart';
import 'package:vaycore/vaycore.dart';

import 'str_ids.dart';
import 'strings/en_strings.dart';
import 'strings/strings.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-06-03
///

/// Locale资源类
class AppLocalizations {
  /// 支持的语言列表（第一个元素为默认语言）
  static const List<Locale> _supportLocales = [
    const Locale('zh', 'CN'),
    const Locale('en', 'US'),
  ];

  static Map<String, Map<StrIds, dynamic>> _localizedValues = {
    'zh': STRINGS,
    'en': EN_STRINGS,
  };

  static buildLocaleOptions() => LocaleOptions<StrIds>(
        supportLocales: AppLocalizations._supportLocales,
        localizedValues: AppLocalizations._localizedValues,
      );
}

String getString(StrIds ids, [List<dynamic> params]) {
  return core.getString<StrIds>(ids, params);
}
