import 'package:flutter/material.dart';
import 'package:vaycore/vaycore.dart';

import 'profile_change_notifier.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-06-03
///

/// 本地化模块
class LocaleModel extends ProfileChangeNotifier {
  /// 获取当前的Locale
  Locale get locale => null; // 这里需要从自己的配置变量读取

  /// 用户改变APP语言后，通知依赖项更新，新语言会立即生效
  set locale(Locale locale) {
    if (locale != this.locale) {
      // 保存到自己的配置变量
      // ...

      // 必须赋值，这样才能更新vaycore所维护的当前语言的状态
      core.options.locale.locale = locale;
      notifyListeners();
    }
  }
}
