import 'package:flutter/material.dart';

import 'profile_change_notifier.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-06-03
///

/// 主题模块
class ThemeModel extends ProfileChangeNotifier {
  /// 获取当前主题
  ColorSwatch get theme => null; // 这里需要从自己的配置变量读取

  /// 主题改变后，通知其依赖项，新主题会立即生效
  set theme(ColorSwatch color) {
    if (color != theme) {
      // 保存到自己的配置变量
      // ...

      notifyListeners();
    }
  }
}
