import 'package:flutter/material.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-15
///

/// 移除某些组件自带padding（例如：ListView）
class RemovePaddingWidget extends StatelessWidget {
  final Widget child;
  final bool left;
  final bool top;
  final bool right;
  final bool bottom;

  RemovePaddingWidget({
    Key key,
    this.child,
    this.left = false,
    this.top = true,
    this.right = false,
    this.bottom = false,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MediaQuery.removePadding(
      context: context,
      child: child,
      removeLeft: this.left,
      removeTop: this.top,
      removeRight: this.right,
      removeBottom: this.bottom,
    );
  }
}
